package com.gnx.telemedicine.repository;

import com.gnx.telemedicine.model.TwoFactorAuth;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.UUID;

@Repository
public interface TwoFactorAuthRepository extends JpaRepository<TwoFactorAuth, UUID> {
    
    Optional<TwoFactorAuth> findByUserId(UUID userId);
    
    Optional<TwoFactorAuth> findByUserEmail(String email);
    
    boolean existsByUserId(UUID userId);
}

